## zbackup 1.2

=== CMakeLists.txt ===
# Copyright (c) 2012-2013 Konstantin Isakov <ikm@zbackup.org>
# Part of ZBackup. Licensed under GNU GPLv2 or later

cmake_minimum_required( VERSION 2.8.2 )
project( zbackup )

if( ${CMAKE_VERSION} VERSION_LESS "2.8.9" )
  # Use the included FindLibLZMA then
  set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" )
endif()

set( CMAKE_BUILD_TYPE Release )

find_package( ZLIB REQUIRED )
include_directories( ${ZLIB_INCLUDE_DIRS} )

find_package( OpenSSL REQUIRED )
include_directories( ${OPENSSL_INCLUDE_DIR} )

find_package( Protobuf REQUIRED )
include_directories( ${PROTOBUF_INCLUDE_DIRS} )
include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

find_program(PROTOBUF_PROTOC_CHECK NAMES protoc DOC "Protobuf compiler binary")

IF(${PROTOBUF_PROTOC_CHECK} STREQUAL "PROTOBUF_PROTOC_CHECK-NOTFOUND")
    MESSAGE(FATAL_ERROR "Could not find protobuf compiler. Make sure protobuf-compiler package is installed.")
ENDIF(${PROTOBUF_PROTOC_CHECK} STREQUAL "PROTOBUF_PROTOC_CHECK-NOTFOUND")

PROTOBUF_GENERATE_CPP( protoSrcs protoHdrs zbackup.proto )

find_package( Threads REQUIRED )

find_package( LibLZMA REQUIRED )
include_directories( ${LIBLZMA_INCLUDE_DIRS} )

file( GLOB sourceFiles "*.cc" )
add_executable( zbackup ${sourceFiles} ${protoSrcs} ${protoHdrs} )

target_link_libraries( zbackup
  ${PROTOBUF_LIBRARIES}
  ${OPENSSL_LIBRARIES}
  ${CMAKE_THREAD_LIBS_INIT}
  ${ZLIB_LIBRARIES}
  ${LIBLZMA_LIBRARIES}
)

install( TARGETS zbackup DESTINATION bin )

=== tartool/CMakeLists.txt ===
# Copyright (c) 2012-2013 Konstantin Isakov <ikm@zbackup.org>
# Part of ZBackup. Licensed under GNU GPLv2 or later

cmake_minimum_required( VERSION 2.6.0 )
project( tartool )

set( CMAKE_BUILD_TYPE Release )

add_executable( tartool tartool.cc ../file.cc ../dir.cc )

install( TARGETS tartool DESTINATION bin )

=== debian/changelog ===
zbackup (1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for big-endian architectures
    Add upstream patch at
    https://github.com/zbackup/zbackup/compare/1.2...master
    Closes: #735558

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Feb 2014 12:04:05 +0000

zbackup (1.2-1) unstable; urgency=low

  * Initial release (Closes: #717443)

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 27 Aug 2013 12:38:22 +0800

=== debian/control ===
Source: zbackup
Section: admin
Priority: optional
Maintainer: Howard Chan <smartboyhw@gmail.com>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.2), libssl-dev,
               libprotobuf-dev, libprotoc-dev, protobuf-compiler, liblzma-dev, zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://zbackup.org
#Vcs-Git: git://git.debian.org/collab-maint/zbackup.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/zbackup.git;a=summary

Package: zbackup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Versatile deduplicating backup tool
 Uses a 64-bit modified Rabin-Karp rolling hash for data deduplication,
 and SHA256 for backup integrity check.
 .
 Also features LZMA compression & AES encryption.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/zbackup-$1.tar.gz/ \
  https://github.com/zbackup/zbackup/tags .*/v?(\d\S*)\.tar\.gz

## zbackup 1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# Copyright (c) 2012-2013 Konstantin Isakov <ikm@zbackup.org>
-# Part of ZBackup. Licensed under GNU GPLv2 or later
+# Copyright (c) 2012-2014 Konstantin Isakov <ikm@zbackup.org>
+# Part of ZBackup. Licensed under GNU GPLv2 or later + OpenSSL, see LICENSE
 
 cmake_minimum_required( VERSION 2.8.2 )
 project( zbackup )

=== tartool/CMakeLists.txt ===
# Copyright (c) 2012-2014 Konstantin Isakov <ikm@zbackup.org>
# Part of ZBackup. Licensed under GNU GPLv2 or later + OpenSSL, see LICENSE

cmake_minimum_required( VERSION 2.6.0 )
project( tartool )

set( CMAKE_BUILD_TYPE Release )

add_executable( tartool tartool.cc ../file.cc ../dir.cc )

install( TARGETS tartool DESTINATION bin )

=== debian/changelog ===
zbackup (1.3-1) unstable; urgency=low

  * Upstream added OpenSSL linking exception (closes: #761381).
  * Remove big-endian-support.patch , this release contains it.
  * Update Standards-Version to 3.9.6 .
  * New maintainer (closes: #755773).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Oct 2014 10:20:33 +0000

## zbackup 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,10 @@
-# Copyright (c) 2012-2014 Konstantin Isakov <ikm@zbackup.org>
+# Copyright (c) 2012-2014 Konstantin Isakov <ikm@zbackup.org> and ZBackup contributors, see CONTRIBUTORS
 # Part of ZBackup. Licensed under GNU GPLv2 or later + OpenSSL, see LICENSE
 
 cmake_minimum_required( VERSION 2.8.2 )
 project( zbackup )
 
-if( ${CMAKE_VERSION} VERSION_LESS "2.8.9" )
-  # Use the included FindLibLZMA then
-  set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" )
-endif()
+set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" )
 
 set( CMAKE_BUILD_TYPE Release )
 
@@ -34,6 +31,14 @@
 find_package( LibLZMA REQUIRED )
 include_directories( ${LIBLZMA_INCLUDE_DIRS} )
 
+find_package( LibLZO COMPONENTS LIBLZO_HAS_LZO1X_DECOMPRESS_SAFE LIBLZO_HAS_LZO1X_1_COMPRESS )
+if (LIBLZO_FOUND)
+  ADD_DEFINITIONS(-DHAVE_LIBLZO)
+  include_directories( ${LIBLZO_INCLUDE_DIRS} )
+else (LIBLZO_FOUND)
+  set(LIBLZO_LIBRARIES)
+endif (LIBLZO_FOUND)
+
 file( GLOB sourceFiles "*.cc" )
 add_executable( zbackup ${sourceFiles} ${protoSrcs} ${protoHdrs} )
 
@@ -43,6 +48,7 @@
   ${CMAKE_THREAD_LIBS_INIT}
   ${ZLIB_LIBRARIES}
   ${LIBLZMA_LIBRARIES}
+  ${LIBLZO_LIBRARIES}
 )
 
 install( TARGETS zbackup DESTINATION bin )

=== tartool/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2012-2014 Konstantin Isakov <ikm@zbackup.org>
+# Copyright (c) 2012-2014 Konstantin Isakov <ikm@zbackup.org> and ZBackup contributors, see CONTRIBUTORS
 # Part of ZBackup. Licensed under GNU GPLv2 or later + OpenSSL, see LICENSE
 
 cmake_minimum_required( VERSION 2.6.0 )

=== debian/changelog ===
zbackup (1.4.4-3build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:56:09 +0000

zbackup (1.4.4-3) unstable; urgency=medium

  * Build with LZO compression support (closes: #870776).
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Aug 2017 22:13:29 +0000

zbackup (1.4.4-2) unstable; urgency=low

  * Generalize watch file.
  * Update Standards-Version to 3.9.8 .

  [ Tiago Ilieve <tiago.myhro@gmail.com> ]
  * Add 'fix_version_string.patch':
    - The binary was reporting itself as '1.4.3' because upstream forgot to
    bump the version when made a new release.
  * Convert README.md to HTML (Debian Policy Manual § 12.4 "Preferred
    documentation formats"):
    - Add 'debian/clean', update 'debian/docs'.
    - Add 'remove_external_travisci_img.patch' to avoid fetching an external
    image when accessing the README.html.
  * debian/control:
     - Add 'discount' ('mkd2html' command) to build dependencies.
  * debian/rules:
    - Add hardening (fixes 'hardening-no-pie' and 'hardening-no-bindnow').
    - Add 'override_dh_auto_build' for building the HTML documentation.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 17 Nov 2016 19:09:40 +0000

zbackup (1.4.4-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 Jan 2016 18:05:48 +0100

zbackup (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Dec 2014 07:33:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: zbackup
 Section: admin
 Priority: optional
-Maintainer: Howard Chan <smartboyhw@gmail.com>
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.2), libssl-dev,
-               libprotobuf-dev, libprotoc-dev, protobuf-compiler, liblzma-dev, zlib1g-dev
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 10), cmake (>= 2.8.2), libssl-dev,
+ libprotobuf-dev, libprotoc-dev, protobuf-compiler, liblzma-dev, zlib1g-dev,
+ liblzo2-dev, discount
+Standards-Version: 4.0.0
 Homepage: http://zbackup.org
 #Vcs-Git: git://git.debian.org/collab-maint/zbackup.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/zbackup.git;a=summary

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://github.com/zbackup/zbackup/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## zbackup 1.5

=== CMakeLists.txt ===
# Copyright (c) 2012-2014 Konstantin Isakov <ikm@zbackup.org> and ZBackup contributors, see CONTRIBUTORS
# Part of ZBackup. Licensed under GNU GPLv2 or later + OpenSSL, see LICENSE

cmake_minimum_required( VERSION 2.8.3 )
project( zbackup )

list( APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" )

if( NOT CMAKE_BUILD_TYPE )
  set( CMAKE_BUILD_TYPE Release )
endif( NOT CMAKE_BUILD_TYPE )

find_package( ZLIB REQUIRED )
include_directories( ${ZLIB_INCLUDE_DIRS} )

find_package( OpenSSL REQUIRED )
include_directories( ${OPENSSL_INCLUDE_DIR} )

find_package( Protobuf REQUIRED )
include_directories( ${PROTOBUF_INCLUDE_DIRS} )
include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

find_program( PROTOBUF_PROTOC_CHECK NAMES protoc DOC "Protobuf compiler binary" )

IF( ${PROTOBUF_PROTOC_CHECK} STREQUAL "PROTOBUF_PROTOC_CHECK-NOTFOUND" )
  MESSAGE( FATAL_ERROR "Could not find protobuf compiler. Make sure protobuf-compiler package is installed." )
ENDIF( ${PROTOBUF_PROTOC_CHECK} STREQUAL "PROTOBUF_PROTOC_CHECK-NOTFOUND" )

PROTOBUF_GENERATE_CPP( protoSrcs protoHdrs zbackup.proto )

find_package( Threads REQUIRED )

find_package( LibLZMA REQUIRED )
include_directories( ${LIBLZMA_INCLUDE_DIRS} )

find_package( LibLZO COMPONENTS LIBLZO_HAS_LZO1X_DECOMPRESS_SAFE LIBLZO_HAS_LZO1X_1_COMPRESS )
if ( LIBLZO_FOUND )
  ADD_DEFINITIONS( -DHAVE_LIBLZO )
  include_directories( ${LIBLZO_INCLUDE_DIRS} )
else ( LIBLZO_FOUND )
  set( LIBLZO_LIBRARIES )
endif( LIBLZO_FOUND )

find_package( LibUnwind COMPONENTS LIBUNWIND_HAS_UNW_GETCONTEXT LIBUNWIND_HAS_INIT_LOCAL )
if ( LIBUNWIND_FOUND )
  ADD_DEFINITIONS( -DHAVE_LIBUNWIND )
  include_directories( ${LIBUNWIND_INCLUDE_DIRS} )
else ( LIBUNWIND_FOUND )
  set( LIBUNWIND_LIBRARIES )
endif( LIBUNWIND_FOUND )

add_custom_target( invalidate_files ALL
  COMMAND ${CMAKE_COMMAND} -E touch "${CMAKE_CURRENT_SOURCE_DIR}/CMakeLists.txt" )
execute_process( OUTPUT_VARIABLE ZBACKUP_VERSION
  COMMAND git describe --tags --always
  OUTPUT_STRIP_TRAILING_WHITESPACE )
if ( ZBACKUP_VERSION )
  ADD_DEFINITIONS( -DZBACKUP_VERSION="${ZBACKUP_VERSION}" )
  MESSAGE("ZBackup version ${ZBACKUP_VERSION}")
endif( ZBACKUP_VERSION )

file( GLOB sourceFiles "*.cc" "*.c" )
add_executable( zbackup ${sourceFiles} ${protoSrcs} ${protoHdrs} )

target_link_libraries( zbackup
  ${PROTOBUF_LIBRARIES}
  ${OPENSSL_LIBRARIES}
  ${CMAKE_THREAD_LIBS_INIT}
  ${ZLIB_LIBRARIES}
  ${LIBLZMA_LIBRARIES}
  ${LIBLZO_LIBRARIES}
  ${LIBUNWIND_LIBRARIES}
)

install( TARGETS zbackup DESTINATION bin )

=== tools/tartool/CMakeLists.txt ===
# Copyright (c) 2012-2014 Konstantin Isakov <ikm@zbackup.org> and ZBackup contributors, see CONTRIBUTORS
# Part of ZBackup. Licensed under GNU GPLv2 or later + OpenSSL, see LICENSE

cmake_minimum_required( VERSION 2.6.0 )
project( tartool )

set( CMAKE_BUILD_TYPE Release )

add_executable( tartool tartool.cc ../../file.cc ../../dir.cc )

install( TARGETS tartool DESTINATION bin )

=== debian/changelog ===
zbackup (1.5-4) unstable; urgency=medium

  * Fix compilation with GCC 15 (closes: #1098196):
    - make ObjectsIteratorComp operator const,
    - explicitly define std::string where needed.
  * Add NEWS entry that this package may disappear at any time.
  * Update copyright file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Sep 2025 17:04:03 +0200

zbackup (1.5-3) unstable; urgency=medium

  * Set minimal CMake version to 3.5 (closes: #1113657).
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 03 Sep 2025 16:47:32 +0200

zbackup (1.5-2) unstable; urgency=medium

  * Don't use no longer present second argument of SetTotalBytesLimit() in
    Protobuf.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Jun 2022 19:48:49 +0200

zbackup (1.5-1) unstable; urgency=medium

  * New upstream release.
  * Remove deprecated throw specifications (closes: #984415).
  * Update homepage location.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 07 Nov 2021 11:58:21 +0100

=== debian/control ===
Source: zbackup
Section: admin
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 2.8.2), libssl-dev,
 libprotobuf-dev, libprotoc-dev, protobuf-compiler, liblzma-dev, zlib1g-dev,
 liblzo2-dev, discount
Standards-Version: 4.7.2
Homepage: https://github.com/davidbartonau/zbackup

Package: zbackup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Versatile deduplicating backup tool
 Uses a 64-bit modified Rabin-Karp rolling hash for data deduplication,
 and SHA256 for backup integrity check.
 .
 Also features LZMA compression & AES encryption.

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/davidbartonau/zbackup/tags \
(?:|.*/)v?(\d\S*)@ARCHIVE_EXT@
